easy_admin:
  entities:
    Species:
      class: App\Entity\Species
      form:
        title: "Add/edit Species"
        fields:
          -   type: 'group'
              label: 'Account Information'
              icon: 'Species'
              css_class: 'col-sm-12'

          -   property: 'photoFile'
              type: 'vich_image'
              type_options:
                required: false
                allow_delete: true





      new:
        fields:
          - { property: 'ScientificName', icon: 'Species' }
          - { property: 'UsualName', icon: 'Species' }
          - { property: 'Family', icon: 'Species' }
          - { property: 'Origin', icon: 'Species' }
          - { property: 'GeographicDistribution', icon: 'Species', type: 'textarea' }
          - { property: 'Nourishment', icon: 'Species' }
          - { property: 'ReproductionProcess', icon: 'Species', type: 'textarea' }
          - { property: 'Measurement', icon: 'Species' }
          - { property: 'AnatomicalStructure', icon: 'Species', type: 'textarea' }
          - { property: 'PhysicalCharacteristics', icon: 'Species', type: 'textarea' }
          - { property: 'Predation', icon: 'Species' }
          - { property: 'Etymology', icon: 'Species' }
#          - { property: 'SnakeBaseConstitution', icon: 'Species' }
          - { property: 'photoFile', type: 'vich_file' }


      edit:
        fields:
          - id
          - { property: 'ScientificName', icon: 'Species' }
          - { property: 'UsualName', icon: 'Species' }
          - { property: 'Family', icon: 'Species' }
          - { property: 'Origin', icon: 'Species' }
          - { property: 'GeographicDistribution', icon: 'Species' }
          - { property: 'Nourishment', icon: 'Species' }
          - { property: 'ReproductionProcess', icon: 'Species' }
          - { property: 'Measurement', icon: 'Species' }
          - { property: 'AnatomicalStructure', icon: 'Species' }
          - { property: 'PhysicalCharacteristics', icon: 'Species' }
          - { property: 'Predation', icon: 'Species' }
          - { property: 'Etymology', icon: 'Species' }
#          - { property: 'SnakeBaseConstitution', icon: 'Species' }
          - { property: 'photoFile', type: 'vich_file' }






      show:
        form:

          title: "Add/edit Species"